Bug 1256068 - Incorrect dpi detected: blender thinks I have 72 dpi
Incorrect dpi detected: blender thinks I have 72 dpi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 15:44 EDT by Christian Stadelmann
Modified: 2017-09-30 06:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: blender-2.78-1.fc25 blender-2.79-1.fc26 blender-2.79-1.fc25 blender-2.79-1.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-23 16:21:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-08-23 15:44:28 EDT
Description of problem:
When starting a fresh installation of blender, fonts and icons are *very* small. In blender's preferences there is a DPI setting which was set to 72. My desktop has 96 dpi. After manually setting the dpi to 96 it works fine.

Version-Release number of selected component (if applicable):
2.75-4
Comment 1 Fedora End Of Life 2016-07-19 13:38:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Christian Stadelmann 2016-07-20 07:36:11 EDT
Still present.
Comment 3 Fedora Admin XMLRPC Client 2016-07-29 13:31:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2016-10-01 18:22:09 EDT
blender-2.78-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4573c69ac9
Comment 5 Fedora Update System 2016-10-03 03:23:37 EDT
blender-2.78-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5a10d726e
Comment 6 Fedora Update System 2016-10-08 22:44:57 EDT
blender-2.78-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Luya Tshimbalanga 2016-10-09 00:12:40 EDT
Reopening this bug to set dpi default to the system
Comment 8 Luya Tshimbalanga 2016-10-16 16:15:54 EDT
Having contacted upstream, they are aware of the issue because the code for setting the default to the system does not exist yet.
 Given this circumstance, attempting to fix it will also impact users having small resolution monitors (there is no way to know how many) thus too disrupting for usability. 72 dpi is currently the safest option for that reason.
I will leave this bug open in Rawhide until upstream brings the fix.
Comment 9 Fedora End Of Life 2017-02-28 04:48:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 10 Fedora Update System 2017-09-13 02:42:48 EDT
alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3
Comment 11 Fedora Update System 2017-09-13 02:43:21 EDT
alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3
Comment 12 Fedora Update System 2017-09-13 07:37:44 EDT
alembic-1.7.3-1.fc26 blender-2.79-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993
Comment 13 Fedora Update System 2017-09-13 07:38:03 EDT
alembic-1.7.3-1.fc26 blender-2.79-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993
Comment 14 Fedora Update System 2017-09-13 07:39:56 EDT
alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62
Comment 15 Fedora Update System 2017-09-13 07:40:15 EDT
alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62
Comment 16 Fedora Update System 2017-09-13 15:23:40 EDT
alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3
Comment 17 Fedora Update System 2017-09-14 00:52:19 EDT
alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993
Comment 18 Fedora Update System 2017-09-14 01:49:44 EDT
alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62
Comment 19 Fedora Update System 2017-09-14 15:29:29 EDT
LuxRender-1.6-22.fc27 YafaRay-3.3.0-3.fc27 alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3
Comment 20 Fedora Update System 2017-09-14 15:31:07 EDT
LuxRender-1.6-22.fc26 YafaRay-3.3.0-3.fc26 alembic-1.7.3-1.fc26 blender-2.79-1.fc26 openvdb-4.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993
Comment 21 Fedora Update System 2017-09-14 15:32:36 EDT
LuxRender-1.6-22.fc25 YafaRay-3.3.0-3.fc25 alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62
Comment 22 Luya Tshimbalanga 2017-09-14 22:04:14 EDT
I just tested this new version of Blender. It finally support dynamic dpi. Make sure to reset the configuration.
Comment 23 Fedora Update System 2017-09-15 12:52:15 EDT
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3
Comment 24 Fedora Update System 2017-09-16 00:22:08 EDT
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993
Comment 25 Fedora Update System 2017-09-16 01:26:07 EDT
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62
Comment 26 Fedora Update System 2017-09-23 16:21:15 EDT
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2017-09-24 00:50:04 EDT
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2017-09-30 02:22:55 EDT
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.